.gallery {
  display: grid;
  grid-template-columns: repeat(4, 1fr); /* 4 columns fix */
  gap: 20px;
}

.gallery img {
  width: 100%;
  cursor: pointer;
  border-radius: 10px;
  transition: 0.3s;
}

.gallery img:hover {
  transform: scale(1.05);
}

/* Lightbox */
.lightbox {
  display: none;
  position: fixed;
  z-index: 9999;
  padding: 10px;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.9);
  align-items: center;
  justify-content: center;
}

.lightbox img {
  max-width: 95%;
  max-height: 85%;
  border-radius: 10px;
}

/* Close button */
.close {
  position: absolute;
  top: 15px;
  right: 25px;
  color: #fff;
  font-size: 30px;
  cursor: pointer;
}

/* Arrows */
.prev, .next {
  position: absolute;
  top: 50%;
  color: white;
  font-size: 40px;
  cursor: pointer;
  padding: 10px;
  user-select: none;
}

.prev { left: 10px; }
.next { right: 10px; }

/* Mobile optimization */
@media(max-width:768px){
  .prev, .next {
    font-size: 30px;
  }
}